Non si avvia

Create issue
Issue #22 resolved
Former user created an issue

su ubuntu 12.04 non si avvia (ho installato il deb), provando da terminale di da questi errori.. soluzioni?

java -jar EdenBatchDownloader.jar Exception in thread "main" java.lang.UnsupportedClassVersionError: edenbatchdownloader/Main : Unsupported major.minor version 51.0 at java.lang.ClassLoader.defineClass1(Native Method) at java.lang.ClassLoader.defineClass(ClassLoader.java:643) at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142) at java.net.URLClassLoader.defineClass(URLClassLoader.java:277) at java.net.URLClassLoader.access$000(URLClassLoader.java:73) at java.net.URLClassLoader$1.run(URLClassLoader.java:212) at java.security.AccessController.doPrivileged(Native Method) at java.net.URLClassLoader.findClass(URLClassLoader.java:205) at java.lang.ClassLoader.loadClass(ClassLoader.java:323) at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294) at java.lang.ClassLoader.loadClass(ClassLoader.java:268) Could not find the main class: edenbatchdownloader.Main. Program will exit.

Comments (1)

  1. Red Squirrel repo owner

    Devi avere JAVA 7 o superiore per poterlo avviare, quell'errore ti dice che il tuo JAVA è una versione minore (probabilmente 6). Per controllare la versione installata attualmente dai in un terminale "javac -version", la versione minima richiesta da questo programma è 1.7.x ;)

  2. Log in to comment